import api from '@/utils/request';

export const getPage = params =>
  api.post(`/yxl-back-end/framework/uiac/account/page`, params);
export const getCount = params =>
  api.post(`/yxl-back-end/framework/uiac/account/count`, params);
export const getList = params =>
  api.post(`/yxl-back-end/framework/uiac/role/list`, params);
export const getItem = ({ id, ...params }) =>
  api.get(`/yxl-back-end/admin/kindergarten/${id}`, params);
export const saveItem = params => {
  if (params.id) {
    return api.put(`/yxl-back-end/framework/uiac/role/update`, params);
  } else {
    return api.post(`/yxl-back-end/framework/uiac/role/save`, params);
  }
};
export const delItem = ({ id, ...params }) =>
  api.del(`/yxl-back-end/framework/uiac/role/del/${id}`, params);
